#ifdef HAVE_CONFIG_H
# include <config.h>
#endif
#include <guile-sql.h>
#include <app.h>

SCM 
scm_makenum (unsigned long val)
{
  if (SCM_FIXABLE ((long) val))
    return SCM_MAKINUM (val);

#ifdef SCM_BIGDIG
  return scm_long2big (val);
#else /* SCM_BIGDIG */
  return scm_make_real ((double) val);
#endif /* SCM_BIGDIG */
}

/*
 * Chop off trailing whitespace. Return length of the resulting string
 */
int
chop(char *str)
{
  int len;
  
  for (len = strlen(str); len > 0 && isspace(str[len-1]); len--)
    ;
  str[len] = 0;
  return len;
}



extern void
gsql_init()
{
	gsql_conn_init();
#ifdef USE_SQL_MYSQL
	sql_register_iface(&mysql_iface);
#endif
#ifdef USE_SQL_PGSQL
	sql_register_iface(&pgsql_iface);
#endif
}

